Loading...
Searching...
No Matches
ISAM2Params.h File Reference

Parameters for iSAM 2. More...

Go to the source code of this file.

## Classes

struct | gtsam::ISAM2GaussNewtonParams
| Parameters for ISAM2 using Gauss-Newton optimization. More...
struct | gtsam::ISAM2DoglegParams
| Parameters for ISAM2 using Dogleg optimization. More...
struct | gtsam::ISAM2Params

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Typedefs

typedef FastMap< char, Vector > | gtsam::ISAM2ThresholdMap
| Parameters for the ISAM2 algorithm.
typedef ISAM2ThresholdMap::value_type | gtsam::ISAM2ThresholdMapValue

## Detailed Description

Parameters for iSAM 2.

Author
  Michael Kaess, Richard Roberts, Frank Dellaert